package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHaobanMaterial;
import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.service.entity.TabMaterialContent;

import java.util.List;

/**
 * 
 * @ClassName: 内容中台-素材
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月08日 15:24:22
 * @Modify
 * @CopyRight 
 */
public interface TabMaterialContentMapper {

    public int insert(TabMaterialContent entity);

    public int updateByPrimaryKey(TabMaterialContent entity);

    int updateVideoImgUrl(String id,String videoImgUrl);

    public TabMaterialContent selectByUrl(@Param("wxEnterpriseId") String wxEnterpriesId,
            @Param("urlMd5") String urlMd5 , @Param("mediaType")int mediaType);
    
    public TabMaterialContent selectById(String id) ;

    List<TabMaterialContent> listByIds(@Param("materialIds") List<String> materialIds,@Param("mediaType") Integer mediaType);

}